
#define _UHTTPS_MAX_USERNAME_LENGHT 100
#define _UHTTPS_MAX_PASSWORD_LENGHT 100
#define _UHTTPS_MAX_PATHNAME_LENGHT 500

struct user
{
	char username[ _UHTTPS_MAX_USERNAME_LENGHT ];
	char password[ _UHTTPS_MAX_PASSWORD_LENGHT ];
	// NO? char pathname[ _UHTTPS_MAX_PATHNAME_LENGHT ]; // home dir dei file serviti all'utente
	// ...
};

struct users_db
{
	struct user* data;
	size_t nelem;
};

/**
* INPUT: legge il DB degli utenti dal file "usersdb_pathname"
* OUTPUT: scrive nella struct "out_usersdb" tutti i dati degli utenti
* MEMO: in caso di errore esce direttamente dal programma con exit()
*/
void uhttps_usersdb_read( struct users_db* out_usersdb, const char* usersdb_pathname );

/**
  * INPUT: ...
  * OUTPUT: true se la coppia "(username, passowrd)" fa match in "usersdb" o false altrimenti
 */
boolean uhttps_usersdb_login( const struct users_db* usersdb, const char* username, const char* password );


void uhttps_usersdb_free( struct users_db* out_usersdb );
